## ros-rolling-rviz-ogre-vendor 9.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(rviz_ogre_vendor)

find_package(ament_cmake REQUIRED)

set(PACKAGE_VERSION "1.0.0")

if(WIN32)
  set(BUILDING_FREETYPE_LOCALLY ON)
  set(BUILDING_ZLIB_LOCALLY ON)
else()
  set(BUILDING_FREETYPE_LOCALLY OFF)
  set(BUILDING_ZLIB_LOCALLY OFF)
endif()

if(WIN32 AND NOT ${CMAKE_VERBOSE_MAKEFILE})
  set(should_log ON)  # prevent warnings in Windows CI
else()
  set(should_log OFF)
endif()

macro(build_freetype)
  set(extra_cmake_args)
  set(FREETYPE_CXX_FLAGS ${CMAKE_CXX_FLAGS})

  if(WIN32)
    list(APPEND FREETYPE_CXX_FLAGS "/w")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=/w")
  endif()

  if(DEFINED CMAKE_TOOLCHAIN_FILE)
    list(APPEND extra_cmake_args "-DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}")
  else()
    list(APPEND extra_cmake_args "-DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}")
    list(APPEND extra_cmake_args "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}")
  endif()
  list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=${FREETYPE_CXX_FLAGS}")

  include(ExternalProject)
  ExternalProject_Add(freetype-2.8.1
    URL https://git.savannah.gnu.org/cgit/freetype/freetype2.git/snapshot/freetype2-VER-2-6-5.tar.gz
    URL_MD5 0dd62a0125895431e074a3df29f94d69
    TIMEOUT 600
    LOG_CONFIGURE ${should_log}
    LOG_BUILD ${should_log}
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/freetype_install
      ${extra_cmake_args}
      -Wno-dev
      -DWITH_ZLIB=OFF
      -DWITH_BZip2=OFF
      -DWITH_PNG=OFF
      -DWITH_HarfBuzz=OFF
  )

  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/freetype_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor
    USE_SOURCE_PERMISSIONS
  )
endmacro()

macro(build_zlib)
  set(extra_cmake_args)
  set(ZLIB_CXX_FLAGS ${CMAKE_CXX_FLAGS})

  if(WIN32)
    list(APPEND ZLIB_CXX_FLAGS "/w")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=/w")
  endif()

  if(DEFINED CMAKE_TOOLCHAIN_FILE)
    list(APPEND extra_cmake_args "-DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}")
  else()
    list(APPEND extra_cmake_args "-DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}")
    list(APPEND extra_cmake_args "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}")
  endif()
  list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=${ZLIB_CXX_FLAGS}")

  include(ExternalProject)
  ExternalProject_Add(zlib-1.2.11
    URL https://www.zlib.net/fossils/zlib-1.2.11.tar.gz
    URL_MD5 1c9f62f0778697a09d36121ead88e08e
    TIMEOUT 600
    LOG_CONFIGURE ${should_log}
    LOG_BUILD ${should_log}
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/zlib-install
      ${extra_cmake_args}
      -Wno-dev
  )

  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/zlib-install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor
    USE_SOURCE_PERMISSIONS
  )
endmacro()

macro(build_ogre)
  set(extra_cmake_args)
  set(OGRE_C_FLAGS ${CMAKE_C_FLAGS})
  set(OGRE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
  # standard library is important for linking, but the other cxx flags are not
  if(CMAKE_CXX_FLAGS MATCHES "-stdlib=libc\\+\\+")
    set(OGRE_CXX_FLAGS "${OGRE_CXX_FLAGS} -stdlib=libc++")
  endif()

  if(DEFINED CMAKE_BUILD_TYPE)
    list(APPEND extra_cmake_args -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
  endif()

  if(WIN32)
    set(OGRE_C_FLAGS "${OGRE_C_FLAGS} /w /EHsc")
    set(OGRE_CXX_FLAGS "${OGRE_CXX_FLAGS} /w /EHsc")
  elseif(APPLE)
    set(OGRE_CXX_FLAGS "${OGRE_CXX_FLAGS} -std=c++14 -stdlib=libc++ -w")
    list(APPEND extra_cmake_args "-DCMAKE_OSX_ARCHITECTURES='x86_64'")
  else()  # Linux
    set(OGRE_C_FLAGS "${OGRE_C_FLAGS} -w")
    # include Clang -Wno-everything to disable warnings in that build. GCC doesn't mind it
    set(OGRE_CXX_FLAGS "${OGRE_CXX_FLAGS} -std=c++14 -w -Wno-everything")
  endif()
  list(APPEND extra_cmake_args "-DOGRE_BUILD_RENDERSYSTEM_GL:BOOL=TRUE")
  list(APPEND extra_cmake_args "-DOGRE_BUILD_RENDERSYSTEM_D3D11:BOOL=OFF")
  list(APPEND extra_cmake_args "-DOGRE_BUILD_RENDERSYSTEM_D3D9:BOOL=OFF")
  list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=${OGRE_C_FLAGS}")
  list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=${OGRE_CXX_FLAGS}")

  # Uncomment this line to enable the GL3PLUS render engine
  # list(APPEND extra_cmake_args "-DOGRE_BUILD_RENDERSYSTEM_GL3PLUS:BOOL=TRUE")

  # These next lines can be used to disable some of the components or plugins for OGRE
  list(APPEND extra_cmake_args "-DOGRE_CONFIG_ENABLE_ZIP:BOOL=ON")

  if(BUILDING_FREETYPE_LOCALLY)
    list(APPEND extra_cmake_args
      "-DFREETYPE_HOME=${CMAKE_CURRENT_BINARY_DIR}/freetype_install")
  endif()
  if(BUILDING_ZLIB_LOCALLY)
    list(APPEND extra_cmake_args
      "-DZLIB_ROOT=${CMAKE_CURRENT_BINARY_DIR}/zlib-install")
  endif()

  if(DEFINED CMAKE_TOOLCHAIN_FILE)
    list(APPEND extra_cmake_args "-DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}")
  else()
    list(APPEND extra_cmake_args "-DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}")
    list(APPEND extra_cmake_args "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}")
  endif()

  find_package(Patch REQUIRED)
  include(ExternalProject)
  ExternalProject_Add(ogre-v1.12.1
    URL https://github.com/OGRECave/ogre/archive/v1.12.1.zip
    URL_MD5 cdbea4006d223c173e0a93864111b936
    TIMEOUT 1200
    LOG_CONFIGURE ${should_log}
    LOG_BUILD ${should_log}
    CMAKE_ARGS
      -DOGRE_STATIC:BOOL=OFF
      -DOGRE_DEPENDENCIES_DIR=${CMAKE_CURRENT_BINARY_DIR}/ogredeps
      -DOGRE_INSTALL_PDB:BOOL=OFF
      -DOGRE_BUILD_DEPENDENCIES:BOOL=OFF
      -DOGRE_BUILD_TESTS:BOOL=OFF
      -DOGRE_BUILD_SAMPLES:BOOL=FALSE
      -DOGRE_INSTALL_SAMPLES:BOOL=FALSE
      -DOGRE_INSTALL_SAMPLES_SOURCE:BOOL=FALSE
      -DOGRE_CONFIG_THREADS:STRING=0
      -DOGRE_RESOURCEMANAGER_STRICT:STRING=2
      -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/ogre_install
      -DOGRE_BUILD_LIBS_AS_FRAMEWORKS:BOOL=OFF
      -DOGRE_BUILD_COMPONENT_PYTHON:BOOL=FALSE
      -DOGRE_BUILD_COMPONENT_JAVA:BOOL=FALSE
      -DOGRE_BUILD_COMPONENT_CSHARP:BOOL=FALSE
      -DOGRE_BUILD_COMPONENT_BITES:BOOL=FALSE
      ${extra_cmake_args}
      -Wno-dev
    PATCH_COMMAND
      ${Patch_EXECUTABLE} -p1 -N < ${CMAKE_CURRENT_SOURCE_DIR}/pragma-patch.diff
    COMMAND
      ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/FindFreetype.cmake ${CMAKE_CURRENT_BINARY_DIR}/ogre-v1.12.1-prefix/src/ogre-v1.12.1/CMake/Packages/FindFreetype.cmake
  )

  if(BUILDING_FREETYPE_LOCALLY)
    add_dependencies(ogre-v1.12.1 freetype-2.8.1)
  endif()
  if(BUILDING_ZLIB_LOCALLY)
    add_dependencies(ogre-v1.12.1 zlib-1.2.11)
  endif()

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/ogre_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor
    USE_SOURCE_PERMISSIONS
  )
endmacro()

if(BUILDING_FREETYPE_LOCALLY)
  build_freetype()
endif()
if(BUILDING_ZLIB_LOCALLY)
  build_zlib()
endif()

build_ogre()

if(WIN32)
  ament_environment_hooks(env_hook/rviz_ogre_vendor_library_path.bat)
  set(ENV_VAR_NAME "PATH")
  set(ENV_VAR_VALUE "opt\\rviz_ogre_vendor\\bin")
else()
  ament_environment_hooks(env_hook/rviz_ogre_vendor_library_path.sh)
  if(APPLE)
    set(ENV_VAR_NAME "DYLD_LIBRARY_PATH")
  else()
    set(ENV_VAR_NAME "LD_LIBRARY_PATH")
  endif()
  set(ENV_VAR_VALUE "opt/rviz_ogre_vendor/lib")
endif()
ament_environment_hooks(env_hook/rviz_ogre_vendor_library_path.dsv.in)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "rviz_ogre_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-rolling-rviz-ogre-vendor (9.1.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-rviz-ogre-vendor (9.1.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rviz-ogre-vendor (9.0.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rviz-ogre-vendor (9.0.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.7.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.6.0-1focal) focal; urgency=high

  * Strip RPATH from installed Ogre binaries (#688 <https://github.com/ros2/rviz/issues/688>)
  * Contributors: Michel Hidalgo

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 May 2021 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.5.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.4.0-1focal) focal; urgency=high

  * Always preserve source permissions in vendor packages (#647 <https://github.com/ros2/rviz/issues/647>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.3.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.3.0-1focal) focal; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Pass through CMAKE_{C,CXX}_FLAGS to OGRE build (#587 <https://github.com/ros2/rviz/issues/587>)
  * Contributors: Jacob Perron, Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.2.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.1.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.1.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.0.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 21 May 2020 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 07 May 2020 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Switched to the CMake Patch module. (#509 <https://github.com/ros2/rviz/issues/509>)
  * Contributors: Dan Rose, Mikael Arguedas

 -- William Woodall <william@osrfoundation.org>  Fri, 01 May 2020 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (7.0.3-1focal) focal; urgency=high

  * Skip freetype2 dependencies (#405 <https://github.com/ros2/rviz/issues/405>)
  * Contributors: Sean Yen

 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-rviz-ogre-vendor (7.0.2-1focal) focal; urgency=high

  * Switch back to patch instead of git apply (#470 <https://github.com/ros2/rviz/issues/470>)
  * Remove OGRE_BUILD_COMPONENT_SAMPLES cmake arg.
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (7.0.1-1focal) focal; urgency=high

  * Fix the rviz_ogre_vendor packaging.
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (7.0.0-1focal) focal; urgency=high

  * Add .dsv file beside custom environment hook (#449 <https://github.com/ros2/rviz/issues/449>)
  * Upgrade from Ogre 1.10 to Ogre 1.12.1 (#394 <https://github.com/ros2/rviz/issues/394>)
  * Mojave compatibility (#414 <https://github.com/ros2/rviz/issues/414>)
  * Contributors: Dirk Thomas, Karsten Knese, Martin Idel

 -- William Woodall <william@osrfoundation.org>  Fri, 27 Sep 2019 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (6.1.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (6.1.0-1focal) focal; urgency=high

  * Upgraded to OGRE 1.10.12 to get a macOS fix but also not break any APIs by upgrading to OGRE 1.11.x. (#380 <https://github.com/ros2/rviz/issues/380>)
  * Contributors: Emerson Knapp

 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-rviz-ogre-vendor (6.0.0-1focal) focal; urgency=high

  * Suppress ogre_vendor warnings in clang+libcxx build. The -w flag was not strong enough for Clang builds. (#389 <https://github.com/ros2/rviz/issues/389>)
    Signed-off-by: Emerson Knapp <mailto:eknapp@amazon.com>
  * Pass through only the stdlib flag to the vendor build, instead of all C++ flags (#388 <https://github.com/ros2/rviz/issues/388>)
    Signed-off-by: Emerson Knapp <mailto:eknapp@amazon.com>
  * Pass through CXX flags to OGRE vendor build (#381 <https://github.com/ros2/rviz/issues/381>)
    * Pass through CXX flags
    Signed-off-by: Emerson Knapp <mailto:eknapp@amazon.com>
    * fixup
    Signed-off-by: William Woodall <mailto:william@osrfoundation.org>


=== debian/control ===
Source: ros-rolling-rviz-ogre-vendor
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), git, libfreetype6-dev, libgl1-mesa-dev, libglu1-mesa-dev, libx11-dev, libxaw7-dev, libxrandr-dev, pkg-config, ros-rolling-ament-cmake, ros-rolling-ament-cmake-xmllint, ros-rolling-ament-lint-auto, ros-rolling-ros-workspace
Homepage: https://www.ogre3d.org/
Standards-Version: 3.9.2

Package: ros-rolling-rviz-ogre-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfreetype6, libfreetype6-dev, libgl1-mesa-dev, libglu1-mesa-dev, libx11-dev, libxaw7-dev, libxrandr-dev, ros-rolling-ros-workspace
Description: Wrapper around ogre3d, it provides a fixed CMake module and an ExternalProject build of ogre.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz-ogre-vendor//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-rviz-ogre-vendor//opt/ros/rolling/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-rolling-rviz-ogre-vendor//opt/ros/rolling/opt/rviz_ogre_vendor/lib/OGRE/


override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rviz-ogre-vendor 13.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(rviz_ogre_vendor)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_vendor_package REQUIRED)

if(WIN32)
  set(FREETYPE_C_FLAGS "${CMAKE_C_FLAGS}")
  if(MSVC)
    set(FREETYPE_C_FLAGS "/wd4244 ${FREETYPE_C_FLAGS}")
    set(FREETYPE_C_FLAGS "/wd4267 ${FREETYPE_C_FLAGS}")
    set(FREETYPE_C_FLAGS "/wd4312 ${FREETYPE_C_FLAGS}")
    set(FREETYPE_C_FLAGS "/wd4996 ${FREETYPE_C_FLAGS}")
  endif()

  ament_vendor(freetype_vendor
    VCS_URL https://git.savannah.gnu.org/git/freetype/freetype2.git
    VCS_VERSION VER-2-11-1
    CMAKE_ARGS
      -DFT_DISABLE_ZLIB:BOOL=ON
      -DFT_DISABLE_BZIP2:BOOL=ON
      -DFT_DISABLE_PNG:BOOL=ON
      -DFT_DISABLE_HARFBUZZ:BOOL=ON
      "-DCMAKE_C_FLAGS=${FREETYPE_C_FLAGS}"
  )

  set(ZLIB_C_FLAGS "${ZLIB_C_FLAGS}")
  if(MSVC)
    set(ZLIB_C_FLAGS "/wd4267 ${ZLIB_C_FLAGS}")
  endif()

  ament_vendor(zlib_vendor
    VCS_URL https://github.com/madler/zlib.git
    VCS_VERSION v1.2.13
    CMAKE_ARGS
      # zlib doesn't use CMAKE_INSTALL_PREFIX correctly, so we need to override
      -DINSTALL_BIN_DIR=<INSTALL_DIR>/bin
      -DINSTALL_LIB_DIR=<INSTALL_DIR>/lib
      -DINSTALL_INC_DIR=<INSTALL_DIR>/include
      -DINSTALL_MAN_DIR=<INSTALL_DIR>/share/man
      -DINSTALL_PKGCONFIG_DIR=<INSTALL_DIR>/share/pkgconfig
      "-DCMAKE_C_FLAGS=${ZLIB_C_FLAGS}"
  )
endif()

set(OGRE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
if(MSVC)
  set(OGRE_CXX_FLAGS "/wd4101 ${OGRE_CXX_FLAGS}")
  set(OGRE_CXX_FLAGS "/wd4244 ${OGRE_CXX_FLAGS}")
  set(OGRE_CXX_FLAGS "/wd4267 ${OGRE_CXX_FLAGS}")
  set(OGRE_CXX_FLAGS "/wd4334 ${OGRE_CXX_FLAGS}")
  set(OGRE_CXX_FLAGS "/wd4477 ${OGRE_CXX_FLAGS}")
  set(OGRE_CXX_FLAGS "/wd4996 ${OGRE_CXX_FLAGS}")
else()
  set(OGRE_CXX_FLAGS "-Wno-deprecated-declarations ${OGRE_CXX_FLAGS}")
  set(OGRE_CXX_FLAGS "-Wno-mismatched-new-delete ${OGRE_CXX_FLAGS}")
  set(OGRE_CXX_FLAGS "-Wno-range-loop-construct ${OGRE_CXX_FLAGS}")
  set(OGRE_CXX_FLAGS "-Wno-undef ${OGRE_CXX_FLAGS}")

  if(NOT CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(OGRE_CXX_FLAGS "-Wno-maybe-uninitialized ${OGRE_CXX_FLAGS}")
    set(OGRE_CXX_FLAGS "-Wno-format-overflow ${OGRE_CXX_FLAGS}")
    set(OGRE_CXX_FLAGS "-Wno-dangling-pointer ${OGRE_CXX_FLAGS}")
    set(OGRE_CXX_FLAGS "-Wno-array-compare ${OGRE_CXX_FLAGS}")
  endif()
endif()

set(OGRE_CMAKE_ARGS)
if(NOT WIN32)
  list(APPEND OGRE_CMAKE_ARGS -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON)
endif()

ament_vendor(ogre_vendor
  VCS_URL https://github.com/OGRECave/ogre.git
  VCS_VERSION v1.12.10
  CMAKE_ARGS
    -DOGRE_STATIC:BOOL=OFF
    -DOGRE_INSTALL_PDB:BOOL=OFF
    -DOGRE_BUILD_DEPENDENCIES:BOOL=OFF
    -DOGRE_BUILD_TESTS:BOOL=OFF
    -DOGRE_BUILD_SAMPLES:BOOL=FALSE
    -DOGRE_INSTALL_SAMPLES:BOOL=FALSE
    -DOGRE_INSTALL_SAMPLES_SOURCE:BOOL=FALSE
    -DOGRE_CONFIG_THREADS:STRING=0
    -DOGRE_RESOURCEMANAGER_STRICT:STRING=2
    -DOGRE_BUILD_LIBS_AS_FRAMEWORKS:BOOL=OFF
    -DOGRE_BUILD_COMPONENT_PYTHON:BOOL=FALSE
    -DOGRE_BUILD_COMPONENT_JAVA:BOOL=FALSE
    -DOGRE_BUILD_COMPONENT_CSHARP:BOOL=FALSE
    -DOGRE_BUILD_COMPONENT_BITES:BOOL=FALSE
    -DOGRE_BUILD_PLUGIN_DOT_SCENE:BOOL=FALSE
    -DOGRE_BUILD_TOOLS:BOOL=FALSE
    -DOGRE_CONFIG_ENABLE_ZIP:BOOL=ON
    -DOGRE_BUILD_RENDERSYSTEM_GL:BOOL=TRUE
    -DOGRE_BUILD_RENDERSYSTEM_D3D11:BOOL=OFF
    -DOGRE_BUILD_RENDERSYSTEM_D3D9:BOOL=OFF
    -DCMAKE_POLICY_DEFAULT_CMP0074=NEW
    "-DCMAKE_CXX_FLAGS=${OGRE_CXX_FLAGS}"
    ${OGRE_CMAKE_ARGS}
  PATCHES patches
)

if(TARGET ogre_vendor)
  if(TARGET freetype_vendor)
    ExternalProject_Add_StepDependencies(ogre_vendor configure freetype_vendor)
  endif()

  if(TARGET zlib_vendor)
    ExternalProject_Add_StepDependencies(ogre_vendor configure zlib_vendor)
  endif()
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS_POST "rviz_ogre_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-rolling-rviz-ogre-vendor (13.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (13.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.8.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Aug 2023 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.7.0-1jammy) jammy; urgency=high

  * Fix the vendoring flags for clang compilation. (#1003 <https://github.com/ros2/rviz/issues/1003>)
    Several of the flags are not available on clang, so
    don't add them there.  This fixes the clang build for
    me locally.
  * Switch to ament_cmake_vendor_package (#995 <https://github.com/ros2/rviz/issues/995>)
  * Contributors: Chris Lalancette, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.6.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.6.0-1jammy) jammy; urgency=high

  * CMake: rename FeatureSummary.cmake to avoid name clashes (#953 <https://github.com/ros2/rviz/issues/953>)
  * FIX CVE in external libraries (#961 <https://github.com/ros2/rviz/issues/961>)
  * Contributors: Gökçe Aydos, mosfet80

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.5.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.5.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.4.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.3.2-1jammy) jammy; urgency=high

  * Fix build failures on macOS + Apple Silicon (#944 <https://github.com/ros2/rviz/issues/944>)
  * Contributors: Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.3.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.3.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#923 <https://github.com/ros2/rviz/issues/923>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.2.0-1jammy) jammy; urgency=high

  * Remove broken rviz_ogre_vendor::RenderSystem_GL target (#920 <https://github.com/ros2/rviz/issues/920>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (12.0.0-1jammy) jammy; urgency=high

  * Fixes policy CMP0135 warning for CMake >= 3.24 (#898 <https://github.com/ros2/rviz/issues/898>)
  * Ogre 1.12.10 upgrade (#878 <https://github.com/ros2/rviz/issues/878>)
  * Make resource file paths relative (#862 <https://github.com/ros2/rviz/issues/862>)
  * Use CMAKE_STAGING_PREFIX for staging OGRE installation (#861 <https://github.com/ros2/rviz/issues/861>)
  * Contributors: Cristóbal Arroyo, Kenji Brameld, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (11.3.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Apr 2022 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (11.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (11.1.1-1jammy) jammy; urgency=high

  * Fix interface link libraries in ogre vendor (#761 <https://github.com/ros2/rviz/issues/761>)
  * Contributors: Laszlo Turanyi

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (11.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (11.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (10.0.0-1jammy) jammy; urgency=high

  * Fix the build for Ubuntu Jammy arm64. (#828 <https://github.com/ros2/rviz/issues/828>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 16 Feb 2022 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (9.1.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (9.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (9.0.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (9.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.7.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-rviz-ogre-vendor (8.6.0-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-rolling-rviz-ogre-vendor
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libfreetype6-dev, libgl1-mesa-dev, libglu1-mesa-dev, libx11-dev, libxaw7-dev, libxrandr-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-vendor-package, ros-rolling-ament-cmake-xmllint <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ros-workspace
Homepage: https://www.ogre3d.org/
Standards-Version: 3.9.2

Package: ros-rolling-rviz-ogre-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfreetype6, libfreetype6-dev, libgl1-mesa-dev, libglu1-mesa-dev, libx11-dev, libxaw7-dev, libxrandr-dev, ros-rolling-ros-workspace
Description: Wrapper around ogre3d, it provides a fixed CMake module and an ExternalProject build of ogre.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -53,7 +59,6 @@
 	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
 	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz-ogre-vendor//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-rviz-ogre-vendor//opt/ros/rolling/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-rolling-rviz-ogre-vendor//opt/ros/rolling/opt/rviz_ogre_vendor/lib/OGRE/
 
-
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
 	# in the install tree and source it.  It will set things like
